get
https://hover.to/api/v3/jobs/
Use this endpoint to show all details of a Job given the job id. This endpoint returns almost all data needed on a job. Use this endpoint to get links to job measurements as json, xlsx, skp, xml, as well as job images.
Overview
This endpoint designed to support returning all of the relevant details associated with a specific Hover job. This includes jobs with one or multiple models associated with it. To obtain all of the associated job data , you can pass in the (required) job_id path parameter. The response body will include the following:
- General property information
- Address, External Identifier, and other high-level job details
- Capture Session Information
- The user who captured the model(s).
- The deliverable and capture type of the specific model(s) that were captured.
- Model data for each structure (exterior) or level (interior) that was captured during the capture session
- Model name, deliverable, and model state.
- Link to the Hover 3d Model
- Link to deliverables and artifacts
- Links to images taken during the capture process for that model
🛑 Note: To access a sub-orgs job data, please ensure you add the path param current_user_id with a user ID for an admin user at the parent org level.
Sample Response Bodies
{
"id": 15084303,
"name": "Main House",
"reconstruction_state": "completed",
"external_identifier": "8675309",
"org": {
"id": 463605
},
"address": {
"location_line_1": "4312 Meadow Drive",
"location_line_2": "",
"city": "Santa Maria",
"region": "CA",
"postal_code": "93455",
"country": "US",
"latitude": "34.8784998",
"longitude": "-120.4139807"
},
"customer": {
"first_name": null,
"name": null,
"email": null,
"phone": null
},
"captures": [
{
"id": 558711,
"client_identifier": "665f0012-676a-4034-a63d-1e5433720911",
"name": null,
"state": "completed",
"capture_by": "[email protected]",
"type": "sparse_exterior",
"deliverable": "complete",
"created_at": "2025-03-16T23:55:50.094Z",
"updated_at": "2025-03-16T23:55:50.233Z"
},
{
"id": 558714,
"client_identifier": "0f78c2b0-938c-4cf8-8fb0-71eddfdd13ce",
"name": "Garage",
"state": "completed",
"capture_by": "[email protected]",
"type": "sparse_exterior",
"deliverable": "complete",
"created_at": "2025-03-16T23:58:04.445Z",
"updated_at": "2025-03-16T23:58:13.372Z"
}
],
"models": [
{
"id": 15081686,
"name": "Garage",
"state": "failed",
"deliverable": "complete",
"capture_id": 558714,
"three_d_experience": {
"type": "design_studio",
"url": "https://hover.to/design-studio/15084303/model/15081686",
"status": "not_available"
},
"artifacts": {
"measurements": {
"pdf": "https://hover.to/api/v3/models/15081686/artifacts/measurements.pdf",
"json": "https://hover.to/api/v3/models/15081686/artifacts/measurements.json",
"summarized_json": "https://hover.to/api/v3/models/15081686/artifacts/measurements.json?version=summarized_json",
"full_json": "https://hover.to/api/v3/models/15081686/artifacts/measurements.json?version=full_json",
"xlsx": "https://hover.to/api/v3/models/15081686/artifacts/measurements.xlsx"
},
"cad_exports": {
"skp": "https://hover.to/api/v3/models/15081686/artifacts/cad_export.skp",
"dwg": "https://hover.to/api/v3/models/15081686/artifacts/cad_export.dwg",
"dxf": "https://hover.to/api/v3/models/15081686/artifacts/cad_export.dxf",
"xml": "https://hover.to/api/v3/models/15081686/artifacts/cad_export.xml",
"xml_v2": "https://hover.to/api/v3/models/15081686/artifacts/cad_export.xml?version=v2"
},
"images": [
{
"id": 166283885,
"url": "https://hover.to/api/v2/images/166283885/image.jpg",
"created_at": "2025-03-16T23:58:14.231Z"
},
{
"id": 166283883,
"url": "https://hover.to/api/v2/images/166283883/image.jpg",
"created_at": "2025-03-16T23:58:14.132Z"
},
{
"id": 166283891,
"url": "https://hover.to/api/v2/images/166283891/image.jpg",
"created_at": "2025-03-16T23:58:23.543Z"
},
{
"id": 166283890,
"url": "https://hover.to/api/v2/images/166283890/image.jpg",
"created_at": "2025-03-16T23:58:23.475Z"
},
{
"id": 166283889,
"url": "https://hover.to/api/v2/images/166283889/image.jpg",
"created_at": "2025-03-16T23:58:19.320Z"
},
{
"id": 166283882,
"url": "https://hover.to/api/v2/images/166283882/image.jpg",
"created_at": "2025-03-16T23:58:14.085Z"
},
{
"id": 166283888,
"url": "https://hover.to/api/v2/images/166283888/image.jpg",
"created_at": "2025-03-16T23:58:18.995Z"
},
{
"id": 166283892,
"url": "https://hover.to/api/v2/images/166283892/image.jpg",
"created_at": "2025-03-16T23:58:23.568Z"
},
{
"id": 166283884,
"url": "https://hover.to/api/v2/images/166283884/image.jpg",
"created_at": "2025-03-16T23:58:14.187Z"
},
{
"id": 166283886,
"url": "https://hover.to/api/v2/images/166283886/image.jpg",
"created_at": "2025-03-16T23:58:18.892Z"
},
{
"id": 166283887,
"url": "https://hover.to/api/v2/images/166283887/image.jpg",
"created_at": "2025-03-16T23:58:18.975Z"
}
],
"created_at": "2025-03-16T23:58:04.459Z",
"updated_at": "2025-03-17T00:02:58.411Z"
},
{
"id": 15081683,
"name": "Main House",
"state": "complete",
"deliverable": "complete",
"capture_id": 558711,
"three_d_experience": {
"type": "design_studio",
"url": "https://hover.to/design-studio/15084303/model/15081683",
"status": "ready"
},
"artifacts": {
"measurements": {
"pdf": "https://hover.to/api/v3/models/15081683/artifacts/measurements.pdf",
"json": "https://hover.to/api/v3/models/15081683/artifacts/measurements.json",
"xlsx": "https://hover.to/api/v3/models/15081683/artifacts/measurements.xlsx"
},
"cad_exports": {
"skp": "https://hover.to/api/v3/models/15081683/artifacts/cad_export.skp",
"dwg": "https://hover.to/api/v3/models/15081683/artifacts/cad_export.dwg",
"dxf": "https://hover.to/api/v3/models/15081683/artifacts/cad_export.dxf",
"xml": "https://hover.to/api/v3/models/15081683/artifacts/cad_export.xml",
"xml_v2": "https://hover.to/api/v3/models/15081683/artifacts/cad_export.xml?version=v2"
}
},
"images": [
{
"id": 166283852,
"url": "https://hover.to/api/v2/images/166283852/image.jpg",
"created_at": "2025-03-16T23:56:03.946Z"
},
{
"id": 166283860,
"url": "https://hover.to/api/v2/images/166283860/image.jpg",
"created_at": "2025-03-16T23:56:03.955Z"
},
{
"id": 166283856,
"url": "https://hover.to/api/v2/images/166283856/image.jpg",
"created_at": "2025-03-16T23:56:03.964Z"
},
{
"id": 166283859,
"url": "https://hover.to/api/v2/images/166283859/image.jpg",
"created_at": "2025-03-16T23:56:03.974Z"
},
{
"id": 166283858,
"url": "https://hover.to/api/v2/images/166283858/image.jpg",
"created_at": "2025-03-16T23:56:03.986Z"
},
{
"id": 166283853,
"url": "https://hover.to/api/v2/images/166283853/image.jpg",
"created_at": "2025-03-16T23:56:03.993Z"
},
{
"id": 166283854,
"url": "https://hover.to/api/v2/images/166283854/image.jpg",
"created_at": "2025-03-16T23:56:03.997Z"
},
{
"id": 166283855,
"url": "https://hover.to/api/v2/images/166283855/image.jpg",
"created_at": "2025-03-16T23:56:04.001Z"
},
{
"id": 166283857,
"url": "https://hover.to/api/v2/images/166283857/image.jpg",
"created_at": "2025-03-16T23:56:04.004Z"
},
{
"id": 166283861,
"url": "https://hover.to/api/v2/images/166283861/image.jpg",
"created_at": "2025-03-16T23:56:04.008Z"
}
],
"created_at": "2025-03-16T23:55:50.107Z",
"updated_at": "2025-03-19T21:48:43.793Z"
}
],
"inspections": [
{
"id": 16701,
"workflow": {
"id": 1092,
"name": "Damage checklist"
},
"html_url": "https://hover.to/wr/properties/17993969/inspections/16701"
},
{
"id": 16964,
"workflow": {
"id": 1092,
"name": "Property Walkthrough"
},
"html_url": "https://hover.to/wr/properties/17993969/inspections/16964"
},
{
"id": 16703,
"workflow": {
"id": 1092,
"name": "Homeowner Survey"
},
"html_url": "https://hover.to/wr/properties/17993969/inspections/16703"
}
],
"created_at": "2025-03-16T23:55:50.017Z",
"updated_at": "2025-03-19T21:48:45.593Z",
"archived_at": null
}
{
"id": 15254733,
"name": "Multi-Level Floor 1",
"reconstruction_state": "completed",
"external_identifier": "8675309",
"address": {
"location_line_1": "1129 Flax Drive",
"location_line_2": "",
"city": "Santa Maria",
"region": "CA",
"postal_code": "93455",
"country": "US",
"latitude": "34.85165000000001",
"longitude": "-120.417284"
},
"customer": {
"first_name": null,
"name": null,
"email": null,
"phone": null
},
"captures": [
{
"id": 666709,
"client_identifier": "ee45dd36-eac0-4488-b11a-823b16903478",
"name": null,
"state": "completed",
"capture_by": "[email protected]",
"type": "roomplan_interior",
"deliverable": "Interior Floor Plan",
"created_at": "2025-03-27T19:44:18.304Z",
"updated_at": "2025-03-27T19:44:18.442Z"
},
{
"id": 666738,
"client_identifier": "23a40c0c-9f6c-43a6-87af-71a9186c36d6",
"name": "Floor 2",
"state": "completed",
"capture_by": "[email protected]",
"type": "roomplan_interior",
"deliverable": "Interior Floor Plan",
"created_at": "2025-03-27T19:46:07.862Z",
"updated_at": "2025-03-27T19:46:23.120Z"
}
],
"models": [
{
"id": 15252194,
"name": "Multi-Level Floor 1",
"state": "complete",
"deliverable": "Interior Floor Plan",
"capture_id": 666738,
"three_d_experience": {
"type": "virtual_walkthrough",
"url": "https://hover.to/virtual-walkthrough/15254733/model/15252194",
"status": "ready"
},
"artifacts": {
"measurements": {
"pdf": "https://hover.to/api/v3/models/15252194/artifacts/measurements.pdf",
"json": "https://hover.to/api/v3/models/15252194/artifacts/measurements.json",
"full_json": "https://hover.to/api/v3/models/15081686/artifacts/measurements.json?version=full_json"
},
"cad_exports": {
"fml": "https://hover.to/api/v3/models/15252194/artifacts/cad_export.fml"
}
},
"images": [
{
"id": 168263170,
"url": "https://hover.to/api/v2/images/168263170/image.jpg",
"created_at": "2025-03-27T19:46:25.047Z"
}
],
"created_at": "2025-03-27T19:46:07.878Z",
"updated_at": "2025-03-27T19:47:28.011Z"
},
{
"id": 15252133,
"name": "Floor 2",
"state": "complete",
"deliverable": "Interior Floor Plan",
"capture_id": 666709,
"three_d_experience": {
"type": "virtual_walkthrough",
"url": "https://hover.to/virtual-walkthrough/15254733/model/15252133",
"status": "ready"
},
"artifacts": {
"measurements": {
"pdf": "https://hover.to/api/v3/models/15252133/artifacts/measurements.pdf",
"json": "https://hover.to/api/v3/models/15252133/artifacts/measurements.json"
},
"cad_exports": {
"fml": "https://hover.to/api/v3/models/15252133/artifacts/cad_export.fml"
}
},
"images": [
{
"id": 168262297,
"url": "https://hover.to/api/v2/images/168262297/image.jpg",
"created_at": "2025-03-27T19:44:20.375Z"
}
],
"created_at": "2025-03-27T19:44:18.314Z",
"updated_at": "2025-03-27T19:47:30.852Z"
}
],
"created_at": "2025-03-27T19:44:18.235Z",
"updated_at": "2025-03-27T19:47:31.086Z",
"archived_at": null
}
